/*
 * File         : AbstractPrimaryExpressionVisitor.java
 * Author       : Guansong Zhang
 * Created      : Fri Aug 14 17:01:59 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1999/03/16 20:23:28 $
 */

package hpjava.compiler.abstractexp;

public class AbstractPrimaryExpressionVisitor {

/*
  public void visit(AbstractPrimaryExpression n) {
    System.out.println("super function called");  
  }
*/

  public void visit (PrimaryConcatenation n) {
    System.out.println("super function called");  
    n.prefix.accept(this);
    n.suffix.accept(this);
  }

  public void visit (PrimaryItem n) {
    //do nothing;
  }

  public void visit (ThisDescriptor n) {
    //do nothing;  
  }

  public void visit (SuperDescriptor n) {
    //do nothing;  
  }

  public void visit (LiteralDescriptor n) {
    //do nothing;  
  }

  public void visit (ClassLiteralDescriptor n) {
    //do nothing;  
  }

  public void visit (TripletOrExpressionListDescriptor n) {
    //do nothing;
  }  
  
  public void visit (DistArraySecRefDimListDescriptor n) {
    //do nothing;
  }
  
  public void visit (IdentifierDescriptor n) {
    System.out.println("super function called");  
    //do nothing;
  }  

  public void visit (AllocationExpressionDescriptor n) {
    // do nothing;
  }

  public void visit (ExpressionDescriptor n) {
    // do nothing;
  }

  public void visit (ArgumentsDescriptor n) {
    // do nothing;
  }

}
