/*
 * File         : ClassLiteralDescriptor.java
 * Author       : Guansong Zhang
 * Created      : Wed Oct  7 12:39:42 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1999/03/16 20:23:38 $
 */

package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class ClassLiteralDescriptor extends PrimaryItem {
  public ResultType leaf;

  public ClassLiteralDescriptor (ResultType res) {
    this.leaf = res;
  }

  public void accept(AbstractPrimaryExpressionVisitor v) {
    v.visit(this);
  }

}

