/*
 * File         : ExpressionDescriptor.java
 * Author       : Guansong Zhang
 * Created      : Wed Aug 12 14:23:07 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1999/03/16 20:23:48 $
 */

package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class ExpressionDescriptor 
  extends PrimaryItem 
  implements DimensionDescriptor 
{
  public Expression leaf;
  
  public ExpressionDescriptor (Expression leaf) {
    this.leaf = leaf;
  }
  
  public void accept(AbstractPrimaryExpressionVisitor v) {
    v.visit(this);
  }
  
}
