/*
 * File         : PrimaryConcatenation.java
 * Author       : Guansong Zhang
 * Created      : Fri Aug 14 12:28:26 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1999/03/16 20:24:18 $
 */

package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class PrimaryConcatenation extends AbstractPrimaryExpression {
  public AbstractPrimaryExpression prefix;
  public PrimaryItem suffix;

  public PrimaryConcatenation(AbstractPrimaryExpression prefix, PrimaryItem suffix) {
    this.prefix = prefix;
    this.suffix = suffix;
  }


  public void accept(AbstractPrimaryExpressionVisitor v) {
    v.visit(this);
  }

}

