/*
 * File         : Mixer.java
 * Author       : Guansong Zhang
 * Created      : Tue Oct 27 11:53:19 1998
 * Revision     : $Revision: 1.3 $
 * Updated      : $Date: 1999/03/16 20:29:48 $
 */

package hpjava.compiler.translator;

import hpjava.compiler.syntaxtree.*;

public class Mixer {
  static public final String suffix = "_hpj";

  static public NodeToken group() {
    StringBuffer buffer = new StringBuffer();
    buffer.append("grp");
    buffer.append(suffix);
    return new NodeToken(buffer.toString());
  }

  static public NodeToken index(NodeToken id) {
    StringBuffer buffer = new StringBuffer(id.tokenImage);
    buffer.append("_idx");
    buffer.append(suffix);
    return new NodeToken(buffer.toString());
  }

  static public NodeToken range(NodeToken id) {
    StringBuffer buffer = new StringBuffer(id.tokenImage);
    buffer.append("_rng");
    buffer.append(suffix);
    return new NodeToken(buffer.toString());
  }

}
