/*
 * File         : AbstractNode.java
 * Author       : Guansong Zhang
 * Created      : Tue Oct 20 22:47:52 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1999/03/16 20:23:25 $
 */

package hpjava.compiler.abstractexp; 
  
import hpjava.compiler.syntaxtree.*; 
import hpjava.compiler.visitor.*; 
  
import hpjava.compiler.reflection.*; 
 
import java.util.*; 
import java.io.*; 

public abstract class AbstractNode {

  boolean typeChecked = false;

  ClassReflector cr = null;

  abstract public void typeChecking();

  public ClassReflector getClassReflector() {
    if (typeChecked) {
      //System.out.println("this is checked");
      return this.cr;
    }
    else {
      //System.out.println("this is not checked");
      typeChecking();
      return this.cr;
    }
  }


}
