/*
 * File         : IdentifierDescriptor.java
 * Author       : Guansong Zhang
 * Created      : Wed Aug 12 14:23:07 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1999/03/16 20:23:56 $
 */

package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class IdentifierDescriptor extends PrimaryItem {
  public NodeToken leaf;
  
  public IdentifierDescriptor (NodeToken token) {
    this.leaf = token;
  }

  public IdentifierDescriptor (String image) {
    NodeToken token = new NodeToken(image);
    this.leaf = token;
  }
  
  public void accept(AbstractPrimaryExpressionVisitor v) {
    v.visit(this);
  }

}
