package hpjava.compiler.abstractexp;
 
import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;
 
import java.util.*;
import java.io.*;

public class InstanceOfNode extends AbstractExpression {

  public AbstractExpression leaf;
  public TypeNode type;

  public InstanceOfNode(AbstractExpression r, TypeNode t){

    if(t==null){
      throw new Error("TypeNode is Null...");
    }
    else if(r==null){
      throw new Error("ReferenceTreeNode is Null...");
    }
    else{
      leaf = r;
      type = t;
    } 
  } 

   public void accept(AbstractExpressionVisitor v) {
      v.visit(this);
   }
}
