/*
 * File         : LiteralDescriptor.java
 * Author       : Guansong Zhang
 * Created      : Wed Aug 12 14:23:07 1998
 * Revision     : $Revision: 1.1 $
 * Updated      : $Date: 1999/03/16 20:24:05 $
 */

package hpjava.compiler.abstractexp;

import hpjava.compiler.syntaxtree.*;
import hpjava.compiler.visitor.*;

public class LiteralDescriptor extends PrimaryItem {
  public Literal leaf;

  public LiteralDescriptor (Literal literal) {
    this.leaf = literal;
  }

  public LiteralDescriptor (int i) {
    String image = String.valueOf(i);

    NodeChoice choice = new NodeChoice (new NodeToken(image), 0);

    Literal literal = new Literal (choice);

    this.leaf = literal;
  }

  public void accept(AbstractPrimaryExpressionVisitor v) {
    v.visit(this);
  }

}
